fn_adjuntarDocumento=function(dialogAdjuntarDocumento, campo, btnAdjuntar, btnEliminar){
	$('#fileupload_only').rup_upload({
		fileInput: $("#fichero"),
		maxFileSize: 5000000,
		form:"documentoForm"
	});
	$("#fichero").val("");
	$("#fileupload_only table > tbody").html("");
	
	//var dialogAdjuntarDocumento = $("#divAdjuntarDocumento");
	//hay que modificar el actio del formulario para saber que campo estoy utilizando
	//var accion = $("#documentoForm").attr("action");
	var codigoExpediente;
	if (campo != 'docPorVisita') {
		codigoExpediente = $("#idProv010").val()+"/"+$("#idAno010").val()+"/"+$("#id010").val();
	} else {
		codigoExpediente = $("#expediente").val();
	}
	var accion = "/ab03bAmiantoWar/documento/uploadDokusi/"+codigoExpediente;
	$("#documentoForm").attr("action", accion + "/"+ campo); 
	
	var ids = codigoExpediente.split("/");
	
	dialogAdjuntarDocumento.rup_dialog({
		title: $.rup.i18n.app.botones.adjuntarDocumento,
		type: $.rup.dialog.DIV,
		autoOpen: true,
		closeOnEscape: true,
		modal: true,
		resizable: true,
		minWidth: 500,
		buttons: [
		{
			text: $.rup.i18n.base.rup_global.close,
			click: function() {
				var oid = $("#fileupload_only tr.template-download a:first").text();
				if (oid != "") {
					$.rup_messages("msgConfirm", {
						message: $.rup.i18n.app.mensajes.confirmacionPerderDocumento,
						title: "",
						OKFunction: function(){
							dialogAdjuntarDocumento.rup_dialog("destroy");							
						}
					});
				} else {
					dialogAdjuntarDocumento.rup_dialog("destroy");
				}
			},
			btnType: $.rup.dialog.LINK
		},
		{	
			text: $.rup.i18n.base.rup_global.aceptar,
			click: function() {
				var oid = $("#fileupload_only tr.template-download a:first").text();

				
				if (campo == 'docPorVisita') {
					$("#"+campo).text($.rup.i18n.app.expedientes.docVisita);
					$("#"+campo).attr('href', '../../../../../../../../documento/uploadDokusi?oid=' + oid);
					$("#oiddocvisita058").val(oid);
				} else {
					if (campo == 'docVisita') {
						$("#"+campo).text($.rup.i18n.app.expedientes.docVisitaPrevia);
					} else {
						$("#"+campo).text($.rup.i18n.app.expedientes.docExpSanc);
					}
					
					$("#"+campo).attr('href', '../../../../documento/uploadDokusi?oid=' + oid);	
				}
				
				
				if ("docPorVisita" == campo) {
					;
				} else {
					$.rup_ajax({
						url: $.rup.CTX_PATH + "ab03b10t00/guardarFichero",
						type:"POST",
						data: {	"idProv": ids[0], 
							    "idAno" :ids[1], 
							    "id" :ids[2], 
							    "oid" : oid,
							    "campo" :campo
						},
						success: function(response){
							ab03bUtils.feedback.pintarFeedback($.rup.i18nParse($.rup.i18n.app,"mensajes.okGenerico"),  "ok",$("#expedientes_feedback"));
						}, error: function(error){
							pintarFeedbackError(error.responseText, $("#expedientes_feedback"));
						}
					});					
				}
				if (oid != "") {
					btnAdjuntar.hide();
					btnEliminar.show();
				} else {
					btnAdjuntar.show();
					btnEliminar.hide();
				}
				
				dialogAdjuntarDocumento.rup_dialog("destroy");
			}
		}]
	});			
};

fn_eliminarDocumento=function(campo, btnAdjuntar, btnEliminar){
	var accion = $("#documentoForm").attr("action");
	$("#documentoForm").attr("action", accion + "/"+ campo); 
	
	var codigoExpediente;
	if ($("#expediente").val() == undefined) {
		codigoExpediente = $("#idProv010").val()+"/"+$("#idAno010").val()+"/"+$("#id010").val();
	} else {
		codigoExpediente = $("#expediente").val();
	}
	var ids = codigoExpediente.split("/");
	
	$.rup_messages("msgConfirm", {
		message: $.rup.i18n.app.mensajes.confirmacionBorrarDocumento,
		title: "",
		OKFunction: function(){
			var oid = $("#"+campo).text();

			$.rup_ajax({
				url: $.rup.CTX_PATH + "documento/uploadDokusi",
				type:"DELETE",
				data:{"oid" : oid},
				success: function(response){
					
					if ("docPorVisita" != campo) {
						$.rup_ajax({
							url: $.rup.CTX_PATH + "ab03b10t00/guardarFichero",
							type:"POST",
							data: {	"idProv": ids[0], 
								    "idAno" :ids[1], 
								    "id" :ids[2],
								    "campo" :campo
							},
							success: function(response){
								$("#"+campo).text("");
								btnAdjuntar.show();
								btnEliminar.hide();
								ab03bUtils.feedback.pintarFeedback($.rup.i18nParse($.rup.i18n.app,"mensajes.okGenerico"),  "ok",$("#expedientes_feedback"));
							}, error: function(error){
								pintarFeedbackError(error.responseText, $("#expedientes_feedback"));
							}
						});
					}
					
				}, error: function(error){
					pintarFeedbackError(error.responseText, $("#expedientes_feedback"));
				}
			});
		}
	});
}